/******************************************************************************
 *
 * MODULE
 *    LnkReg.h 
 *
 * REVISION INFORMATION
 *    $Logfile: /ifc/include/lnkreg.h $
 *    $Revision: 7 $
 *    $Modtime: 5/08/01 3:36p $
 *
 * ABSTRACT
 *    IFC PCLink Register names
 *
 * TECHNICAL NOTES
 *
 *
 * Copyright (c) 1999-2001 Imaging Technology, Inc.  All rights reserved.
 *
 ******************************************************************************/

#ifndef _LNK_REG
#define _LNK_REG


typedef enum {
	LNK_OCT_BYTE_SWAP,
	LNK_OCT_WORD_SWAP
} LNK_OCT_SWAP_TYPE;


enum {                    /* PCI configuration space registers */

    LNK_VENDOR_ID_32,
    LNK_DEVICE_ID_32,
    LNK_PCICMDSTAT_32,
    LNK_PCICMD_32,
    LNK_IOEN_32,
    LNK_MEMEN_32,
    LNK_PCIBMEN_32,
    LNK_PAREN_32,
    LNK_SEREN_32,
    LNK_FBB_32,
    LNK_PCISTAT_32,
    LNK_DTPAR_32,
    LNK_STABT_32,
    LNK_RTABT_32,
    LNK_RMABT_32,
    LNK_SSERR_32,
    LNK_DPARE_32,
    LNK_REVID_32,
    LNK_MEMSZ_32,
    LNK_CLASSCODE_32,
    LNK_CALN_32,
    LNK_LAT_32,
    LNK_HDR_32,
    LNK_BIST_32,
    LNK_BADR0_32,
    LNK_BADR1_32,
    LNK_BADR2_32,
    LNK_BADR3_32,
    LNK_BADR4_32,
    LNK_BADR5_32,
    LNK_XROM_32,
    LNK_INTLN_32,
    LNK_INTPIN_32,
    LNK_MINGNT_32,
    LNK_MAXLAT_32,
    LNK_MAX_CFGREG
};

enum {
    LNK_MBOX1_32 = LNK_MAX_CFGREG,   /* PCI Interface Control Register Set  */
    LNK_MB_FXSZ_32,
    LNK_MB_ILACE_32,
    LNK_MB_HSHK_32,
    LNK_MB_FYSZ_32,
    LNK_MB_PIX_32,
    LNK_MB0X2_32,
    LNK_MB_AOIXST_32,
    LNK_MB_AOIYST_32,
    LNK_MB0X3_32,
    LNK_MB_AOIXSZ_32,
    LNK_MB_AOIYSZ_32,
    LNK_MB_FYSZHI_32,
    LNK_MB_STFLD_32,
    LNK_MB_BMSEMA_32,
    LNK_MB0X4_32,
    LNK_MB_IMGADR_32,
    LNK_MB_BMINITFLG_32,
    LNK_MB_CONT_32,
    LNK_BMDST_32,
    LNK_BMXC_32,
    LNK_INTCTL_32,
    LNK_INTEN_32,
    LNK_BINTEN_32,
    LNK_INTST_32,
    LNK_BINTST_32,
    LNK_MAINT_32,
    LNK_TAINT_32,
    LNK_ENDIAN_32,
    LNK_BMCTL_32,
    LNK_FIFOFL_32,
    LNK_FIFO4P_32,
    LNK_FIFOEM_32,
    LNK_BMDONE_32,
    LNK_BMREQ_32,
    LNK_NVAD_32,
    LNK_RST_32,
    LNK_FIFOCLR_32,
    LNK_NVCTL_32,
    LNK_MAXREGS1
};

enum {

	// CTCON group
    LNK_CTCON_32 = LNK_MAXREGS1,
    LNK_LVALPOL_32,
    LNK_FVALENB_32,
    LNK_FVALPOL_32,
    LNK_DVALENB_32,
    LNK_DVALPOL_32,
    LNK_DMODE_32,
    LNK_SPRENB_32,
    LNK_SPRPOL_32,
    LNK_SMODE_32,
	LNK_CAMCTL0_32,
	LNK_CAMCTL1_32,
	LNK_CAMCTL2_32,
	LNK_CAMCTL3_32,
	LNK_SEEDID_32,

	// OUTCON0 group
    LNK_OUTCON0_32,
    LNK_EXSEN_32,
    LNK_EXSPOL_32,
    LNK_EXTMD_32,
    LNK_PRIEN_32,
    LNK_PRIP_32,
    LNK_SYNDATA_32,
    LNK_SYNCLKB_32,
    LNK_SYNMUXB_32,
	LNK_PRIHOLD_32,
	LNK_TTLOUTEN_32,
	LNK_DIFFOUTEN_32,
	LNK_TTLOUT0_32,
	LNK_TTLOUT1_32,
	LNK_TTLOUT2_32,
	LNK_OPTOOUT0_32,
	LNK_OPTOOUT1_32,
	LNK_DIFFOUT0_32,
	LNK_DIFFOUT1_32,
	LNK_TTLLVL1_32,
	LNK_OPTLVL1_32,
	LNK_DIFFLVL1_32,
	LNK_TTLENSTAT1_32,
	LNK_DIFFENSTAT1_32,
	LNK_TTLIN0_32,
	LNK_TTLIN1_32,
	LNK_TTLIN2_32,

    LNK_EXSFREQ_32,
    LNK_EXSOFF_32,
    LNK_EXSACT_32,
    LNK_PRIOFF_32,
    LNK_PRIACT_32,

	// ACQCON group
    LNK_ACQCON_32,
    LNK_STMODE_32,
    LNK_ETMODE_32,
    LNK_ACQMD_32,
    LNK_FLDSEL_32,
    LNK_FCNT_32,
    LNK_NEWACQ_32,
    LNK_GSTAT_32,
    LNK_FSTRT_32,
    LNK_HDEC_32,
    LNK_VDEC_32,

	LNK_FIFOINIT_32,

    LNK_HOFF_32,
    LNK_HACT_32,
    LNK_VOFF_32,
    LNK_VACT_32,
	LNK_LVACT_32,
	LNK_PVACT_32,

	// LUTCON0
    LNK_LUTCON0_32,
    LNK_LUT0PSIZE_32,
    LNK_LACCESS_32,
    LNK_L0BYTEL_32,
    LNK_L0BYTEH_32,
    LNK_LUT0PG_32,
    LNK_ILUTID1_32,

	// LUTCON1
    LNK_LUTCON1_32,
    LNK_LUT1PSIZE_32,
    LNK_L1BYTEL_32,
    LNK_L1BYTEH_32,
    LNK_LUT1PG_32,

	// TRIGCON
    LNK_TRIGCON_32,
    LNK_TRIG0POL_32,
    LNK_TRIG0SRC_32,
	LNK_TRIG0GD_32,
    LNK_TRIG1POL_32,
    LNK_TRIG1SRC_32,
	LNK_TRIG1GD_32,

	// TRIGSTAT
    LNK_TRIGSTAT_32,
    LNK_TRIG0DIFF_32,
    LNK_TRIG0TTL_32,							
    LNK_TRIG0OPTO_32,
    LNK_TRIG1DIFF_32,
    LNK_TRIG1TTL_32,
    LNK_TRIG1OPTO_32,
    LNK_CAMLVAL_32,
    LNK_CAMFVAL_32,
    LNK_CAMDVAL_32,
    LNK_CAMSPR_32,

    LNK_SWTRIG0_32,
    LNK_SWTRIG1_32,

	// TRIGDIV
	LNK_TRIGDIV_32,
	LNK_TRIGCNT_32,
	LNK_TRGDIV_32,
	LNK_DIVCON_32,

	// INTCON0
    LNK_INTCON0_32,
    LNK_VBIEN_32,
    LNK_HBIEN_32,
    LNK_TRIG0IEN_32,
    LNK_TRIG1IEN_32,
    LNK_SOAQIEN_32,
    LNK_EOAQIEN_32,
    LNK_PIOIEN_32,

	// INTSTAT0
    LNK_INTSTAT0_32,
    LNK_VBINT_32,
    LNK_HBINT_32,
    LNK_TRIG0INT_32,
    LNK_TRIG1INT_32,
    LNK_SOAQINT_32,
    LNK_EOAQINT_32,
    LNK_PIOINT_32,

	// PORTCON
    LNK_PORTCON_32,
    LNK_OUTSTB_32,
    LNK_INREGENB_32,
    LNK_INSTBPOL_32,
    LNK_INREGCLR_32,
    LNK_IPINTPOL_32,
    LNK_IPINTSTAT_32,
    LNK_IPSTRBSTA_32,
    LNK_PIO_OUTEN_32,
    LNK_PIO_ENSTAT_32,

    LNK_OUTPORT_32,
    LNK_INPORT_32,

	// OUTCON1 group
    LNK_OUTCON1_32,
	LNK_CTL0SEL_32,
	LNK_CTL1SEL_32,
	LNK_CTL2SEL_32,
	LNK_CTL3SEL_32,
	LNK_TTL0SEL_32,
	LNK_TTL1SEL_32,
	LNK_TTL2SEL_32,
	LNK_DIFF0SEL_32,
	LNK_DIFF1SEL_32,
	LNK_OPTO0SEL_32,
	LNK_OPTO1SEL_32,



	// BMCON group
    LNK_BMCON_32,
    LNK_BMENB_32,
    LNK_BMSTEP_32,
    LNK_PAD_32,
    LNK_CLIP_32,
    LNK_OCTSWAP_32,
    LNK_OCTACC_32,
    LNK_DMAACC_32,

    LNK_SFORM_32,

	LNK_SDINIT_32,
    LNK_AQSTART_32,
    LNK_AQADR_32,
    LNK_INTADR_32,
	LNK_SEGSIZE_32,
	LNK_OCTSTART_32,
	LNK_SWCOUNT_32,

    LNK_INTCON1_32,
	LNK_ADRIEN_32,
	LNK_BMIEN_32,
	LNK_SWCTIEN_32,

    LNK_INTSTAT1_32,
	LNK_ADRINT_32,
	LNK_BMINT_32,
	LNK_SWCTINT_32,

	LNK_SEGSTART_32,
	LNK_OCTADR_32,

	LNK_U1RX_32,
	LNK_U1IE_32,
	LNK_U1IIFC_32,
	LNK_U1LC_32,
	LNK_U1MC_32,
	LNK_U1DTR_32,
	LNK_U1RTS_32,
	LNK_U1LS_32,
	LNK_U1MS_32,
	LNK_U1CTS_32,
	LNK_U1SC_32,

	LNK_FPGACON_32,
	LNK_FPGAPRG_32,
	LNK_FPGARDY_32,
	LNK_FPGDONE_32,
	LNK_BRDID_32,
	LNK_PRESENT_32,
	LNK_FPGADAT_32,

	LNK_IOID_32,
	LNK_TTLENSTAT_32,
	LNK_PIOENSTAT_32,
	LNK_DIFFENSTAT_32,
	LNK_TTLLVL_32,
	LNK_PIOLVL_32,
	LNK_DIFFLVL_32,
	LNK_OPTLVL_32,

	LNK_RAMID_32,
	LNK_DMAID_32,
	LNK_SDRAMID_32,
	LNK_OCTID_32,
	LNK_ILUTID_32,

	LNK_SCATDST0_32,
	LNK_SCATLEN0_32,




    LNK_MAXREGS2       /* keep it last */
};


#endif
